Last modified: 2012-04-19 21:43:01 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 21153 - When a long heading is entered the TOC highlight get change
When a long heading is entered the TOC highlight get change
Status: CLOSED FIXED
Product: MediaWiki extensions
Classification: Unclassified
UsabilityInitiative (Other open bugs)
unspecified
PC All
: Normal major (vote)
: ---
Assigned To: Trevor Parscal
:
Depends on:
Blocks: 36111
  Show dependency treegraph
 
Reported: 2009-10-16 12:09 UTC by Calcey QA
Modified: 2012-04-19 21:43 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Screen prints of the error (139.81 KB, application/pdf)
2009-10-16 12:09 UTC, Calcey QA
Details

Description Calcey QA 2009-10-16 12:09:49 UTC
Created attachment 6674 [details]
Screen prints of the error

Reporting against Babaco Release : r57727

Steps to Reproduce ::

1) Select a random page
2) Edit a section
3) Add several headings
4) Edit the header name


<<First the correct TOC is highlighted>>
<<When the text line gets longer the next TOC is getting highlighted>>

5) Once the editing finish, the correct one get highlighted


Expected Outcome::
the respective TOC line should be highlighted irrespective of the heading length


Test Environment::

Browser (User-Agent):  	Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9) Gecko/2008052906 Firefox/3.0 (.NET CLR 3.5.30729)

Browser (User-Agent):	Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US) AppleWebKit/525.28 (KHTML, like Gecko) Version/3.2.2 Safari/525.28.1

Browser (User-Agent):     Opera/9.80 (X11 : Linux i686;U;en) Presto/2.2.15 Version/10.00
Comment 1 Calcey QA 2009-10-22 09:13:22 UTC
Test Environment::
This occur in all the browsers
Comment 2 Roan Kattouw 2009-10-24 19:45:53 UTC
Fixed in in r58096 by delaying highlighting until after the NTOC is updated, and updating sooner after the user stops typing.
Comment 3 Calcey QA 2009-10-28 08:19:49 UTC
Verified and closed

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links